Bug 8439 - Printing basketgroup does not work on plack
Summary: Printing basketgroup does not work on plack
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low critical (vote)
Assignee: Dobrica Pavlinusic
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-13 12:40 UTC by Paul Poulain
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8439 - Printing basketgroup does not work on plack (795 bytes, patch)
2012-07-16 10:44 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 8439 - plack code cleanup (3.22 KB, patch)
2012-07-19 18:11 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8439 - Printing basketgroup does not work on plack (894 bytes, patch)
2012-07-19 21:12 UTC, Mirko Tietgen
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Poulain 2012-07-13 12:40:04 UTC
When you try to print a basketgroup under Plack, you get a nasty :
Can't call method "header" on an undefined value at /home/paul/koha.dev/koha-community/acqui/basketgroup.pl line 271.
 at /home/paul/koha.dev/koha-community/acqui/basketgroup.pl line 492

The exact same URL under CGI works fine.
Comment 1 Dobrica Pavlinusic 2012-07-16 10:44:14 UTC Comment hidden (obsolete)
Comment 2 Dobrica Pavlinusic 2012-07-19 18:11:43 UTC Comment hidden (obsolete)
Comment 3 Mirko Tietgen 2012-07-19 21:12:16 UTC
Created attachment 11030 [details] [review]
[SIGNED-OFF] Bug 8439 - Printing basketgroup does not work on plack

scope $input CGI object with our for plack

Signed-off-by: Mirko Tietgen <5p4m@gmx.de>
Comment 4 Mirko Tietgen 2012-07-19 21:15:28 UTC
The first patch fixes the problem of printing a basket group and is signed off. The second patch seems to be unrelated to this bug, I have not tested it. I mark this as signed off now so the first patch can go to QA.
Comment 5 Dobrica Pavlinusic 2012-07-20 12:15:23 UTC
Sorry about confusion, second patch was supposed to end up in

Bug 8482 - labels creator fixes for plack
Comment 6 Paul Poulain 2012-07-24 08:55:06 UTC
QA comment: tiny patch, same as what is made for other patches for Plack
Comment 7 Chris Cormack 2012-07-25 01:32:55 UTC
Pushed to 3.8.x, will be in 3.8.4